Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.sec
Interface SECObjectIdentifiers

public interface SECObjectIdentifiers

Certicom object identifiers ellipticCurve OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) certicom(132) curve(0) } secg-scheme OBJECT IDENTIFIER ::= { iso(1) identified-organization(3) certicom(132) schemes(1) }

Field Summary
`static ASN1ObjectIdentifier` | `certicom`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_kdf_schemes`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_recommendedKDF`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_sha224kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_sha256kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_sha384kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_sha512kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_cofactorDH_specifiedKDF`
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_kdf_schemes`
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_sha224kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_sha256kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_sha384kdf_scheme`
`static ASN1ObjectIdentifier` | `dhSinglePass_stdDH_sha512kdf_scheme`
`static ASN1ObjectIdentifier` | `ecdh`
`static ASN1ObjectIdentifier` | `ecies_recommendedParameters`
`static ASN1ObjectIdentifier` | `ecies_specifiedParameters`
`static ASN1ObjectIdentifier` | `ecmqv`
`static ASN1ObjectIdentifier` | `ellipticCurve`
`static ASN1ObjectIdentifier` | `ikev2_kdf`
`static ASN1ObjectIdentifier` | `kdf_algorithms`
`static ASN1ObjectIdentifier` | `mqvFull_kdf_schemes`
`static ASN1ObjectIdentifier` | `mqvFull_recommendedKDF`
`static ASN1ObjectIdentifier` | `mqvFull_sha224kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvFull_sha256kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvFull_sha384kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvFull_sha512kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvFull_specifiedKDF`
`static ASN1ObjectIdentifier` | `mqvSinglePass_kdf_schemes`
`static ASN1ObjectIdentifier` | `mqvSinglePass_recommendedKDF`
`static ASN1ObjectIdentifier` | `mqvSinglePass_sha224kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvSinglePass_sha256kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvSinglePass_sha384kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvSinglePass_sha512kdf_scheme`
`static ASN1ObjectIdentifier` | `mqvSinglePass_specifiedKDF`
`static ASN1ObjectIdentifier` | `nist_concatenation_kdf`
`static ASN1ObjectIdentifier` | `secg_scheme`
`static ASN1ObjectIdentifier` | `secp112r1` secp112r1 OID: 1.3.132.0.6
`static ASN1ObjectIdentifier` | `secp112r2` secp112r2 OID: 1.3.132.0.7
`static ASN1ObjectIdentifier` | `secp128r1` secp128r1 OID: 1.3.132.0.28
`static ASN1ObjectIdentifier` | `secp128r2` secp128r2 OID: 1.3.132.0.29
`static ASN1ObjectIdentifier` | `secp160k1` secp160k1 OID: 1.3.132.0.9
`static ASN1ObjectIdentifier` | `secp160r1` secp160r1 OID: 1.3.132.0.8
`static ASN1ObjectIdentifier` | `secp160r2` secp160r2 OID: 1.3.132.0.30
`static ASN1ObjectIdentifier` | `secp192k1` secp192k1 OID: 1.3.132.0.31
`static ASN1ObjectIdentifier` | `secp192r1` secp192r1 OID: 1.3.132.0.prime192v1
`static ASN1ObjectIdentifier` | `secp224k1` secp224k1 OID: 1.3.132.0.32
`static ASN1ObjectIdentifier` | `secp224r1` secp224r1 OID: 1.3.132.0.33
`static ASN1ObjectIdentifier` | `secp256k1` secp256k1 OID: 1.3.132.0.10
`static ASN1ObjectIdentifier` | `secp256r1` secp256r1 OID: 1.3.132.0.prime256v1
`static ASN1ObjectIdentifier` | `secp384r1` secp384r1 OID: 1.3.132.0.34
`static ASN1ObjectIdentifier` | `secp521r1` secp521r1 OID: 1.3.132.0.35
`static ASN1ObjectIdentifier` | `sect113r1` sect113r1 OID: 1.3.132.0.4
`static ASN1ObjectIdentifier` | `sect113r2` sect113r2 OID: 1.3.132.0.5
`static ASN1ObjectIdentifier` | `sect131r1` sect131r1 OID: 1.3.132.0.22
`static ASN1ObjectIdentifier` | `sect131r2` sect131r2 OID: 1.3.132.0.23
`static ASN1ObjectIdentifier` | `sect163k1` sect163k1 OID: 1.3.132.0.1
`static ASN1ObjectIdentifier` | `sect163r1` sect163r1 OID: 1.3.132.0.2
`static ASN1ObjectIdentifier` | `sect163r2` sect163r2 OID: 1.3.132.0.15
`static ASN1ObjectIdentifier` | `sect193r1` sect193r1 OID: 1.3.132.0.24
`static ASN1ObjectIdentifier` | `sect193r2` sect193r2 OID: 1.3.132.0.25
`static ASN1ObjectIdentifier` | `sect233k1` sect233k1 OID: 1.3.132.0.26
`static ASN1ObjectIdentifier` | `sect233r1` sect233r1 OID: 1.3.132.0.27
`static ASN1ObjectIdentifier` | `sect239k1` sect239k1 OID: 1.3.132.0.3
`static ASN1ObjectIdentifier` | `sect283k1` sect283k1 OID: 1.3.132.0.16
`static ASN1ObjectIdentifier` | `sect283r1` sect283r1 OID: 1.3.132.0.17
`static ASN1ObjectIdentifier` | `sect409k1` sect409k1 OID: 1.3.132.0.36
`static ASN1ObjectIdentifier` | `sect409r1` sect409r1 OID: 1.3.132.0.37
`static ASN1ObjectIdentifier` | `sect571k1` sect571k1 OID: 1.3.132.0.38
`static ASN1ObjectIdentifier` | `sect571r1` sect571r1 OID: 1.3.132.0.39
`static ASN1ObjectIdentifier` | `tls_kdf`
`static ASN1ObjectIdentifier` | `x9_63_kdf`

Field Detail

### certicom

    public static final ASN1ObjectIdentifier certicom

### ellipticCurve

    public static final ASN1ObjectIdentifier ellipticCurve

### sect163k1

    public static final ASN1ObjectIdentifier sect163k1

  sect163k1 OID: 1.3.132.0.1

### sect163r1

    public static final ASN1ObjectIdentifier sect163r1

  sect163r1 OID: 1.3.132.0.2

### sect239k1

    public static final ASN1ObjectIdentifier sect239k1

  sect239k1 OID: 1.3.132.0.3

### sect113r1

    public static final ASN1ObjectIdentifier sect113r1

  sect113r1 OID: 1.3.132.0.4

### sect113r2

    public static final ASN1ObjectIdentifier sect113r2

  sect113r2 OID: 1.3.132.0.5

### secp112r1

    public static final ASN1ObjectIdentifier secp112r1

  secp112r1 OID: 1.3.132.0.6

### secp112r2

    public static final ASN1ObjectIdentifier secp112r2

  secp112r2 OID: 1.3.132.0.7

### secp160r1

    public static final ASN1ObjectIdentifier secp160r1

  secp160r1 OID: 1.3.132.0.8

### secp160k1

    public static final ASN1ObjectIdentifier secp160k1

  secp160k1 OID: 1.3.132.0.9

### secp256k1

    public static final ASN1ObjectIdentifier secp256k1

  secp256k1 OID: 1.3.132.0.10

### sect163r2

    public static final ASN1ObjectIdentifier sect163r2

  sect163r2 OID: 1.3.132.0.15

### sect283k1

    public static final ASN1ObjectIdentifier sect283k1

  sect283k1 OID: 1.3.132.0.16

### sect283r1

    public static final ASN1ObjectIdentifier sect283r1

  sect283r1 OID: 1.3.132.0.17

### sect131r1

    public static final ASN1ObjectIdentifier sect131r1

  sect131r1 OID: 1.3.132.0.22

### sect131r2

    public static final ASN1ObjectIdentifier sect131r2

  sect131r2 OID: 1.3.132.0.23

### sect193r1

    public static final ASN1ObjectIdentifier sect193r1

  sect193r1 OID: 1.3.132.0.24

### sect193r2

    public static final ASN1ObjectIdentifier sect193r2

  sect193r2 OID: 1.3.132.0.25

### sect233k1

    public static final ASN1ObjectIdentifier sect233k1

  sect233k1 OID: 1.3.132.0.26

### sect233r1

    public static final ASN1ObjectIdentifier sect233r1

  sect233r1 OID: 1.3.132.0.27

### secp128r1

    public static final ASN1ObjectIdentifier secp128r1

  secp128r1 OID: 1.3.132.0.28

### secp128r2

    public static final ASN1ObjectIdentifier secp128r2

  secp128r2 OID: 1.3.132.0.29

### secp160r2

    public static final ASN1ObjectIdentifier secp160r2

  secp160r2 OID: 1.3.132.0.30

### secp192k1

    public static final ASN1ObjectIdentifier secp192k1

  secp192k1 OID: 1.3.132.0.31

### secp224k1

    public static final ASN1ObjectIdentifier secp224k1

  secp224k1 OID: 1.3.132.0.32

### secp224r1

    public static final ASN1ObjectIdentifier secp224r1

  secp224r1 OID: 1.3.132.0.33

### secp384r1

    public static final ASN1ObjectIdentifier secp384r1

  secp384r1 OID: 1.3.132.0.34

### secp521r1

    public static final ASN1ObjectIdentifier secp521r1

  secp521r1 OID: 1.3.132.0.35

### sect409k1

    public static final ASN1ObjectIdentifier sect409k1

  sect409k1 OID: 1.3.132.0.36

### sect409r1

    public static final ASN1ObjectIdentifier sect409r1

  sect409r1 OID: 1.3.132.0.37

### sect571k1

    public static final ASN1ObjectIdentifier sect571k1

  sect571k1 OID: 1.3.132.0.38

### sect571r1

    public static final ASN1ObjectIdentifier sect571r1

  sect571r1 OID: 1.3.132.0.39

### secp192r1

    public static final ASN1ObjectIdentifier secp192r1

  secp192r1 OID: 1.3.132.0.prime192v1

### secp256r1

    public static final ASN1ObjectIdentifier secp256r1

  secp256r1 OID: 1.3.132.0.prime256v1

### secg_scheme

    public static final ASN1ObjectIdentifier secg_scheme

### dhSinglePass_cofactorDH_recommendedKDF

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_recommendedKDF

### dhSinglePass_cofactorDH_specifiedKDF

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_specifiedKDF

### mqvSinglePass_recommendedKDF

    public static final ASN1ObjectIdentifier mqvSinglePass_recommendedKDF

### mqvSinglePass_specifiedKDF

    public static final ASN1ObjectIdentifier mqvSinglePass_specifiedKDF

### mqvFull_recommendedKDF

    public static final ASN1ObjectIdentifier mqvFull_recommendedKDF

### mqvFull_specifiedKDF

    public static final ASN1ObjectIdentifier mqvFull_specifiedKDF

### ecies_recommendedParameters

    public static final ASN1ObjectIdentifier ecies_recommendedParameters

### ecies_specifiedParameters

    public static final ASN1ObjectIdentifier ecies_specifiedParameters

### dhSinglePass_stdDH_kdf_schemes

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_kdf_schemes

### dhSinglePass_stdDH_sha224kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_sha224kdf_scheme

### dhSinglePass_stdDH_sha256kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_sha256kdf_scheme

### dhSinglePass_stdDH_sha384kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_sha384kdf_scheme

### dhSinglePass_stdDH_sha512kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_stdDH_sha512kdf_scheme

### ecdh

    public static final ASN1ObjectIdentifier ecdh

### ecmqv

    public static final ASN1ObjectIdentifier ecmqv

### dhSinglePass_cofactorDH_kdf_schemes

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_kdf_schemes

### dhSinglePass_cofactorDH_sha224kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_sha224kdf_scheme

### dhSinglePass_cofactorDH_sha256kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_sha256kdf_scheme

### dhSinglePass_cofactorDH_sha384kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_sha384kdf_scheme

### dhSinglePass_cofactorDH_sha512kdf_scheme

    public static final ASN1ObjectIdentifier dhSinglePass_cofactorDH_sha512kdf_scheme

### mqvSinglePass_kdf_schemes

    public static final ASN1ObjectIdentifier mqvSinglePass_kdf_schemes

### mqvSinglePass_sha224kdf_scheme

    public static final ASN1ObjectIdentifier mqvSinglePass_sha224kdf_scheme

### mqvSinglePass_sha256kdf_scheme

    public static final ASN1ObjectIdentifier mqvSinglePass_sha256kdf_scheme

### mqvSinglePass_sha384kdf_scheme

    public static final ASN1ObjectIdentifier mqvSinglePass_sha384kdf_scheme

### mqvSinglePass_sha512kdf_scheme

    public static final ASN1ObjectIdentifier mqvSinglePass_sha512kdf_scheme

### mqvFull_kdf_schemes

    public static final ASN1ObjectIdentifier mqvFull_kdf_schemes

### mqvFull_sha224kdf_scheme

    public static final ASN1ObjectIdentifier mqvFull_sha224kdf_scheme

### mqvFull_sha256kdf_scheme

    public static final ASN1ObjectIdentifier mqvFull_sha256kdf_scheme

### mqvFull_sha384kdf_scheme

    public static final ASN1ObjectIdentifier mqvFull_sha384kdf_scheme

### mqvFull_sha512kdf_scheme

    public static final ASN1ObjectIdentifier mqvFull_sha512kdf_scheme

### kdf_algorithms

    public static final ASN1ObjectIdentifier kdf_algorithms

### x9_63_kdf

    public static final ASN1ObjectIdentifier x9_63_kdf

### nist_concatenation_kdf

    public static final ASN1ObjectIdentifier nist_concatenation_kdf

### tls_kdf

    public static final ASN1ObjectIdentifier tls_kdf

### ikev2_kdf

    public static final ASN1ObjectIdentifier ikev2_kdf

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD